Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.keyvalue
Class UnmodifiableMapEntry

    java.lang.Object
      |
      +--org.apache.commons.collections.keyvalue.AbstractKeyValue
            |
            +--org.apache.commons.collections.keyvalue.AbstractMapEntry
                  |
                  +--org.apache.commons.collections.keyvalue.UnmodifiableMapEntry

All Implemented Interfaces:
  KeyValue, Map.Entry, Unmodifiable

public final class UnmodifiableMapEntry
extends AbstractMapEntry
implements Unmodifiable

A `Map.Entry` that throws UnsupportedOperationException when `setValue` is called.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.3 $ $Date: 2004/02/18 01:00:08 $
Author:
  Stephen Colebourne

Field Summary

Fields inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`key, value`

Constructor Summary
`UnmodifiableMapEntry(KeyValue pair)` Constructs a new entry from the specified KeyValue.
`UnmodifiableMapEntry(Map.Entry entry)` Constructs a new entry from the specified MapEntry.
`UnmodifiableMapEntry(Object key, Object value)` Constructs a new entry with the specified key and given value.

Method Summary
`Object` | `setValue(Object value)` Throws UnsupportedOperationException.

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractMapEntry
`equals, hashCode`

Methods inherited from class org.apache.commons.collections.keyvalue.AbstractKeyValue
`getKey, getValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`getKey, getValue`

Constructor Detail

### UnmodifiableMapEntry

    public UnmodifiableMapEntry(Object key,
                                Object value)

  Constructs a new entry with the specified key and given value.

Parameters:
  `key` - the key for the entry, may be null
  `value` - the value for the entry, may be null

### UnmodifiableMapEntry

    public UnmodifiableMapEntry(KeyValue pair)

  Constructs a new entry from the specified KeyValue.

Parameters:
  `pair` - the pair to copy, must not be null
Throws:
  `NullPointerException` - if the entry is null

### UnmodifiableMapEntry

    public UnmodifiableMapEntry(Map.Entry entry)

  Constructs a new entry from the specified MapEntry.

Parameters:
  `entry` - the entry to copy, must not be null
Throws:
  `NullPointerException` - if the entry is null

Method Detail

### setValue

    public Object setValue(Object value)

  Throws UnsupportedOperationException.

  Specified by:
    `setValue` in interface `Map.Entry`
  Overrides:
    `setValue` in class `AbstractMapEntry`
  Parameters:
    `value` - the new value
  Returns:
    the previous value
  Throws:
    `UnsupportedOperationException` - always

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.